using System;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace CSSamples.Samples
{
    public partial class DisplayASimpleMap : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#B3C6D4"));
                Map1.CurrentExtent = new RectangleShape(-131.22, 55.05, -54.03, 16.91);
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                ShapeFileFeatureLayer worldLayer = new ShapeFileFeatureLayer(MapPath("~/SampleData/world/cntry02.shp"));
                worldLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.FromArgb(255, 243, 239, 228), GeoColor.FromArgb(255, 218, 193, 163), 1);
                worldLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

                LayerOverlay layerOverlay = new LayerOverlay();
                layerOverlay.Layers.Add(worldLayer);

                Map1.CustomOverlays.Add(layerOverlay);

                SimpleMarkerOverlay markerOverlay = new SimpleMarkerOverlay("Markers");
                Marker marker = new Marker(new PointShape(-94.48242, 38.75977));
                marker.Id = "Marker1";
                marker.WebImage.ImageWidth = 21;
                marker.WebImage.ImageHeight = 25;
                markerOverlay.Markers.Add(marker);

                Map1.CustomOverlays.Add(markerOverlay);
            }
        }

        protected void Button1Click(object sender, EventArgs args)
        {
            SimpleMarkerOverlay markerOverlay = (SimpleMarkerOverlay)Map1.CustomOverlays["Markers"];
            Marker marker = markerOverlay.Markers["Marker1"];
            marker.WebImage.ImageVirtualPath = "/theme/default/img/marker_green.gif";
        }

        protected void Button2Click(object sender, EventArgs args)
        {
            SimpleMarkerOverlay markerOverlay = (SimpleMarkerOverlay)Map1.CustomOverlays["Markers"];
            Marker marker = markerOverlay.Markers["Marker1"];
            marker.WebImage.RotationAngle += 30;
        }
    }
}
